<?php
if (!defined('DC_RC_PATH')) { return; }

require dirname(__FILE__).'/_widgets.php';

class downloadStatPublic
{
   public static function myWidget(&$w)
   {
      $msg = '<h2>'.$w->Title.'</h2>';

      $path = dirname(__FILE__).'/'.$w->XML;
      $txt = @file_get_contents($path);
      if (!$txt) {
         return $msg."<p>$path not found</p>";
      }
      $xml = new SimpleXMLElement($txt);

      //$msg .= '<pre>'.print_r($xml,true).'</pre>';

      $msg .= '<ul>';
      foreach ($xml as $name => $val) {
         if (preg_match('/^[0-9]+$/', $val)) {
            $val = number_format((float)$val,0,'.',' ');
         }
         $msg .= "<li>$name : $val</li>";
      }
      $msg .= '</ul>';

      return $msg;
   }
}
?>